Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.security.factory
Class MfJMXConnectorFactory

    java.lang.Object
      com.sun.mfwk.security.factory.MfJMXConnectorFactory

public class MfJMXConnectorFactory
extends java.lang.Object

Factory to create secure JMX connector for MFWK. Only JMXMP connector supported for the moment.

Method Summary
`static javax.management.remote.JMXConnector` | `connect(javax.management.remote.JMXServiceURL serviceURL)` Creates a JMX connector (only JMXMP for the moment) and connect it using the url parameter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### connect

    public static javax.management.remote.JMXConnector connect(javax.management.remote.JMXServiceURL serviceURL)
                                                        throws MfSecurityException,
                                                               java.io.IOException

  Creates a JMX connector (only JMXMP for the moment) and connect it using the url parameter.

  Parameters:
    `serviceURL` - URL to connect the connector. MUST be a valid jmxmp url.
  Returns:
    a JMXConnector whose connect method has been called.
  Throws:
    `MfSecurityException` - This is a global exception indicating a security issue. The possible causes are:
    - protocol not supported (only JMXMP for the moment)
    - cannot access the agent's keystore or password
    - cannot access the agent's truststore or password
    - IO error accessing different security files
    - cannot create the SSL socket
    `java.io.IOException` - if the connector cannot be created or the connexion cannot be made.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD